Get institutions for customer
curl --request GET \
--url https://api.prod.finverse.net/institutions/customer \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/institutions/customer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/institutions/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"countries": [
"HKG"
],
"institution_id": 123,
"institution_name": "Mock Bank",
"institution_type": "BANK",
"login_details": "<unknown>",
"products_supported": [
"ACCOUNTS",
"TRANSACTIONS",
"STATEMENTS",
"ACCOUNT_NUMBERS",
"IDENTITY",
"AUTO_DEBIT_SETUP"
],
"status": "SUPPORTED",
"user_type": [
"INDIVIDUAL"
],
"color": "#FFFFFF",
"login_actions": [
{
"buttons": [
{
"name": "<string>",
"type": "SUBMIT",
"value": "Submit One time password"
}
],
"fields": [
{
"name": "<string>",
"type": "SELECT",
"label": "<string>",
"options": [
{
"label": "joe-iphone-13",
"value": "Joe's iPhone 13 Pro Max"
}
],
"placeholder": "<string>"
}
],
"messages": [
{
"name": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"name": "MOBILE_OTP",
"type": "ACTION"
}
],
"login_methods": [
{
"id": "SMS OTP",
"is_default_method": true,
"login_fields": [
{
"key": "password",
"name": "Password",
"type": "password"
}
],
"name": "SMS OTP",
"status": "SUPPORTED"
}
],
"login_url": "https://example.com/login",
"parent_institution_name": "Parent Mock Bank",
"payment_info": {
"payments_supported": [
"MANDATE",
"DEBIT_AUTHORIZATION"
],
"currencies_supported": [
"HKD",
"CNY"
],
"other_info": {
"bank_code": "<string>"
}
},
"portal_name": "Personal Internet Banking",
"status_details": {},
"tags": [
"real"
],
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}Customer
Get institutions for customer
Get a customer-specific list of institutions for Finverse Link
GET
/
institutions
/
customer
Get institutions for customer
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
OK
Example:
["HKG"]
Example:
123
Example:
"Mock Bank"
Available options:
BANK, WALLET, TEST Example:
"BANK"
Available options:
ACCOUNTS, TRANSACTIONS, STATEMENTS, ACCOUNT_NUMBERS, IDENTITY, AUTO_DEBIT_SETUP Example:
[
"ACCOUNTS",
"TRANSACTIONS",
"STATEMENTS",
"ACCOUNT_NUMBERS",
"IDENTITY",
"AUTO_DEBIT_SETUP"
]
Available options:
SUPPORTED, ALPHA, BETA Example:
"SUPPORTED"
Available options:
PERSONAL, INDIVIDUAL, BUSINESS Example:
"#FFFFFF"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"https://example.com/login"
Example:
"Parent Mock Bank"
Show child attributes
Show child attributes
Example:
"Personal Internet Banking"
Example:
{}
Available options:
real, test Example:
["real"]